Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008768 [DCSS] Bug Report major have not tried 2014-07-08 10:23 2014-07-23 00:34
Reporter johnnyzero View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.15 ancient branch
Summary 0008768: Cannot cancel out of ally swap prompt for zot trap
Description My character stepped on a zot trap and then tried to swap with an ally. I could not cancel out out of the prompt by normal means (hitting escape, answering non-yes, etc.). I was able to get out of the prompt by disconnecting from the server and reconnecting.

Do you really want to swap your vampire mosquito zombie into the Zot trap? (Confirm with "yes&q
uot;.) 
Do you really want to swap your vampire mosquito zombie into the Zot trap? (Confirm with "yes&q
uot;.) 
...
Do you really want to swap your vampire mosquito zombie into the Zot trap? (Confirm with "yes&q
uot;.) 


Save after disconnection, but before reconnection:
https://dobrazupa.org/saves/johnnyzero-crawl-git-f284a85e45-140708-0804.tar.bz2 [^]
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026703)
PleasingFungus (administrator)
2014-07-08 17:31

I'm completely unable to replicate this, sorry, even using your save. Are you still having the problem?
(0026708)
johnnyzero (reporter)
2014-07-09 02:38

No, after reconnecting I stepped out of the zot trap. The thing that makes this bug especially bad is how a local user would deal with the issue -- hanging up on the remote server seemed to trigger a save, but a local user would have to either kill their process or eat an extra zot trap effect.

Unfortunately I don't know the exact steps I did to trigger the bug. I tried to swap with an ally out of a zot trap in the first place, which means my play at the time was not the most attentive.
(0026720)
Kvaak (reporter)
2014-07-10 12:28
edited on: 2014-07-10 12:30

Ran into this too. Stumbled into a zot trap and tried to autoexplore out of it. Was about to get petrified by the trap if that makes a difference.

http://crawl.develz.org/saves/dumps/perunasaurus-bc841a2-140710-1029.tar.bz2 [^]

Try to autoexplore when you load the char, that should do the trick.

(0026725)
neil (administrator)
2014-07-11 08:18

Fixed in trunk (0.15-a0-2013-g119cbf9), thanks!
(0026817)
johnnyzero (reporter)
2014-07-23 00:34

Confirmed fixed.

- Issue History
Date Modified Username Field Change
2014-07-08 10:23 johnnyzero New Issue
2014-07-08 12:27 Galefury Severity block => major
2014-07-08 17:31 PleasingFungus Note Added: 0026703
2014-07-09 02:38 johnnyzero Note Added: 0026708
2014-07-10 12:28 Kvaak Note Added: 0026720
2014-07-10 12:28 Kvaak Note Edited: 0026720
2014-07-10 12:29 Kvaak Note Edited: 0026720
2014-07-10 12:30 Kvaak Note Edited: 0026720
2014-07-11 08:18 neil Note Added: 0026725
2014-07-11 08:18 neil Status new => resolved
2014-07-11 08:18 neil Fixed in Branch => 0.15 development branch
2014-07-11 08:18 neil Resolution open => done
2014-07-11 08:18 neil Assigned To => neil
2014-07-23 00:34 johnnyzero Note Added: 0026817
2014-07-23 00:34 johnnyzero Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker